package ctbrec.ui.sites.amateurtv;

import java.io.IOException;

import ctbrec.sites.amateurtv.AmateurTv;
import ctbrec.ui.sites.AbstractSiteUi;
import ctbrec.ui.sites.ConfigUI;
import ctbrec.ui.tabs.TabProvider;

public class AmateurTvSiteUi extends AbstractSiteUi {

    private final AmateurTvTabProvider tabProvider;
    private final AmateurTv amateurTv;

    public AmateurTvSiteUi(AmateurTv amateurTv) {
        this.amateurTv = amateurTv;
        tabProvider = new AmateurTvTabProvider(amateurTv);
    }

    @Override
    public TabProvider getTabProvider() {
        return tabProvider;
    }

    @Override
    public ConfigUI getConfigUI() {
        return null;
    }

    @Override
    public synchronized boolean login() throws IOException {
        return amateurTv.login();
    }
}
